"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const find_up_1 = __importDefault(require("find-up"));
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
function default_1(cwd) {
    const foundPath = find_up_1.default.sync('.git', { cwd });
    if (foundPath) {
        const stats = fs_1.default.lstatSync(foundPath);
        // If it's a .git file resolve path
        if (stats.isFile()) {
            // Expect following format
            // git: pathToGit
            // On Windows pathToGit can contain ':' (example "gitdir: C:/Some/Path")
            const gitFileData = fs_1.default.readFileSync(foundPath, 'utf-8');
            const resolvedGitDir = gitFileData
                .split(':')
                .slice(1)
                .join(':')
                .trim();
            return path_1.default.resolve(path_1.default.dirname(foundPath), resolvedGitDir);
        }
        // Else return path to .git directory
        return foundPath;
    }
    return null;
}
exports.default = default_1;
